import Action from "./Action";
import {Objective} from "./CheckList";
import Guard from "./Guard";

export class Evaluation {

    status: boolean;
    nextActions: Action[];
    nextGuards: Guard[];

    constructor(status: boolean, nextActions: Action[], nextGuards: Guard[]) {
        this.status = status;
        this.nextActions = nextActions;
        this.nextGuards = nextGuards;
    }

}

export default class ChecklistEvaluation {

    objectiveEvaluationMap: Map<Objective, Evaluation>;
    
    constructor() {
        this.objectiveEvaluationMap = new Map();
    }

    addObjectiveEvaluation(objective: Objective, evaluation: Evaluation) {
        this.objectiveEvaluationMap.set(objective, evaluation);
    }

}